/*
 *
 * Copyright © 2007 Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 */
package com.sun.perseus.demo;

import java.io.IOException;
import java.io.InputStream;

import javax.microedition.lcdui.*;
import javax.microedition.m2g.SVGImage;
import javax.microedition.m2g.ScalableGraphics;
import javax.microedition.midlet.*;


/**
 * Simple demo which creates an empty SVGImage, populates it with
 * a graphical content and then displays that content.
 */
public class RenderSVGImageDemo extends MIDlet implements CommandListener {
    public static final String SVG_IMAGE = "/svg/thumbsUp.svg";
    private final Command exitCommand = new Command("Exit", Command.EXIT, 1);
    SVGImageCanvas svgCanvas = null;

    public RenderSVGImageDemo() {
    }

    public void startApp() {
        if (svgCanvas == null) {
            InputStream svgDemoStream = getClass().getResourceAsStream(SVG_IMAGE);

            if (svgDemoStream == null) {
                throw new Error("Could not load " + SVG_IMAGE);
            }

            try {
                System.err.print("Loading SVGImage .... ");

                SVGImage svgImage = (SVGImage)SVGImage.createImage(svgDemoStream, null);
                System.err.println(" ... Done");

                svgCanvas = new SVGImageCanvas(svgImage);
                svgCanvas.addCommand(exitCommand);
                svgCanvas.setCommandListener(this);
            } catch (IOException e) {
                e.printStackTrace();
                throw new Error("Could not load " + SVG_IMAGE);
            }
        }

        Display.getDisplay(this).setCurrent(svgCanvas);
    }

    public void pauseApp() {
    }

    public void destroyApp(boolean unconditional) {
    }

    public void commandAction(Command c, Displayable d) {
        if (c == exitCommand) {
            destroyApp(false);
            notifyDestroyed();
        }
    }
}
